zfcp_show(8)

NAME
zfcp_show - show information about the SAN environment.

SYNOPSIS
zfcp_show [-oOtnvcdh] [-a <busid|fc_host|S_ID|WWPN>] [-i <domain-ID>] [-p <attached-port>]

DESCRIPTION

zfcp_show is primarily used to get an overview of the connected storage area network. Depending on the provided command line switches the information includes participating interconnect element names, their type (e.g. switch, bridge, hub) the amount of available ports, their status and the potentially connected node ports along with their port name (WWPN) and node port ID. In addition the topology of the SAN can be displayed by providing the interconnect element ports which are used to link between the switches. The provided information can become very huge, therefore a variety of switches are provided to limit the output to the data of interest.

OPTIONS

-a <adapter>
    source adapter specified by busid, fc_host, S_ID or WWPN.

-i <ID>
    show only information about domain <ID>.

-p <port>
    show only information about attached port <port>.

-o  show online ports only.

-O  show offline ports only.

-t  show topology information only.

-n  show local name server information only.

-c  provide the information as CSV output.

-v  Generate verbose output.

-d  provide some debug output.

-h  Print help message and exit.

EXAMPLES

zfcp_show -t
    Only show the topology information. The output is a brief listing describing how the various switches, bridges etc are connected to each other to form the storage area network (SAN).

zfcp_show -a 0.0.3c02
    Provide the standard information but use the adapter with the busid 0.0.3c02 to send the request.

zfcp_show -a host0
    Provide the standard information but use the adapter with the fc_host host0 to send the request.

zfcp_show -a 0x656000
    Provide the standard information but use the adapter with the S_ID h0x656000 to send the request.

zfcp_show -a 0x500507630300c562
    Provide the standard information but use the adapter with the WWPN 0x500507630300c562 to send the request.

zfcp_show -d
    This command line switch is only to be used in case the raw requests and responses send and received from the management server are required.

zfcp_show -n
    The local name server (directory server) query can be used to receive basic information about the attached SAN when no management server access is available. The output shows all ports of the local zone with their corresponding WWPN, D_ID (destiantion ID), the port type and, if available, the supported protocols.